### Hierarchy

- unknown
  - RemoveConnectionRequest

## Index

### Constructors

- constructor

### Methods

- getUrl
- serializeBinary
- setUrl
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RemoveConnectionRequest(): RemoveConnectionRequest

- Inherited from jspb.Message.constructor

  #### Returns RemoveConnectionRequest

## Methods

### getUrl

- getUrl(): string

- - Defined in src/protobuf/grpc_pb.d.ts:850

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:853

  #### Returns Uint8Array

### setUrl

- setUrl(value: string): RemoveConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:851

  #### Parameters

  - ##### value: string

  #### Returns RemoveConnectionRequest

### toObject

- toObject(includeInstance?: boolean): RemoveConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:854

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RemoveConnectionRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RemoveConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:857

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RemoveConnectionRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RemoveConnectionRequest, reader: BinaryReader): RemoveConnectionRequest

- - Defined in src/protobuf/grpc_pb.d.ts:858

  #### Parameters

  - ##### message: RemoveConnectionRequest

  - ##### reader: BinaryReader

  #### Returns RemoveConnectionRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RemoveConnectionRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:856

  #### Parameters

  - ##### message: RemoveConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RemoveConnectionRequest ): RemoveConnectionRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:855

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RemoveConnectionRequest

  #### Returns RemoveConnectionRequest . AsObject

Generated using TypeDoc